about summary refs log tree commit diff stats
path: root/hm/soispha/conf/xdg/url_handler.sh
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/conf/xdg/url_handler.sh')
-rwxr-xr-xhm/soispha/conf/xdg/url_handler.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/hm/soispha/conf/xdg/url_handler.sh b/hm/soispha/conf/xdg/url_handler.sh
new file mode 100755
index 00000000..9cca2fc0
--- /dev/null
+++ b/hm/soispha/conf/xdg/url_handler.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
+
+
+project="$(echo "%ALL_PROJECTS_PIPE|nvim|zathura|" | rofi -sep "|" -dmenu)";
+
+if [ "$project" = "nvim" ]; then
+    "$TERMINAL" -e nvim "$1"
+elif [ "$project" = "zathura" ]; then
+    zathura "$1"
+elif [ "$project" ]; then
+    firefox -P "$project" "$1";
+else
+    notify-send "(URL HANDLER) No project selected" && exit 1
+fi
+
+
+# vim: ft=sh